/* FileChooserDialog.c generated by valac 0.40.7, the Vala compiler
 * generated from FileChooserDialog.vala, do not modify */

/*-
 * Copyright (c) 2015-2016 elementary LLC (http://launchpad.net/elementary)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor
 * Boston, MA 02110-1335 USA.
 *
 * Authored by: Adam Bieńkowski <donadigos159@gmail.com>
 */


#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gtk/gtk.h>
#include <gio/gio.h>
#include <pantheon-files-widgets.h>
#include <glib/gi18n-lib.h>
#include <pantheon-files-core.h>
#include <gdk/gdk.h>


#define TYPE_CUSTOM_FILE_CHOOSER_DIALOG (custom_file_chooser_dialog_get_type ())
#define CUSTOM_FILE_CHOOSER_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_CUSTOM_FILE_CHOOSER_DIALOG, CustomFileChooserDialog))
#define CUSTOM_FILE_CHOOSER_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_CUSTOM_FILE_CHOOSER_DIALOG, CustomFileChooserDialogClass))
#define IS_CUSTOM_FILE_CHOOSER_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_CUSTOM_FILE_CHOOSER_DIALOG))
#define IS_CUSTOM_FILE_CHOOSER_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_CUSTOM_FILE_CHOOSER_DIALOG))
#define CUSTOM_FILE_CHOOSER_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_CUSTOM_FILE_CHOOSER_DIALOG, CustomFileChooserDialogClass))

typedef struct _CustomFileChooserDialog CustomFileChooserDialog;
typedef struct _CustomFileChooserDialogClass CustomFileChooserDialogClass;
typedef struct _CustomFileChooserDialogPrivate CustomFileChooserDialogPrivate;
enum  {
	CUSTOM_FILE_CHOOSER_DIALOG_0_PROPERTY,
	CUSTOM_FILE_CHOOSER_DIALOG_NUM_PROPERTIES
};
static GParamSpec* custom_file_chooser_dialog_properties[CUSTOM_FILE_CHOOSER_DIALOG_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))
typedef struct _Block1Data Block1Data;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _Block2Data Block2Data;
typedef struct _Block3Data Block3Data;
typedef struct _Block4Data Block4Data;
typedef struct _Block5Data Block5Data;
typedef struct _Block6Data Block6Data;
typedef struct _Block7Data Block7Data;
typedef struct _Block8Data Block8Data;
#define __vala_GtkTreePath_free0(var) ((var == NULL) ? NULL : (var = (_vala_GtkTreePath_free (var), NULL)))

struct _CustomFileChooserDialog {
	GObject parent_instance;
	CustomFileChooserDialogPrivate * priv;
};

struct _CustomFileChooserDialogClass {
	GObjectClass parent_class;
};

struct _CustomFileChooserDialogPrivate {
	GQueue* previous_paths;
	GQueue* next_paths;
	gboolean filters_available;
	gchar* current_path;
	gboolean is_previous;
	gboolean is_button_next;
	gboolean is_single_click;
	gboolean can_activate;
};

struct _Block1Data {
	int _ref_count_;
	CustomFileChooserDialog* self;
	GSettings* chooser_settings;
	GtkButton* button_back;
	GtkButton* button_forward;
	MarlinViewChromeBasicLocationBar* location_bar;
};

struct _Block2Data {
	int _ref_count_;
	CustomFileChooserDialog* self;
	GtkWidget* root;
};

struct _Block3Data {
	int _ref_count_;
	CustomFileChooserDialog* self;
	GtkWidget* rootwidget;
	GtkWidget* w0;
};

struct _Block4Data {
	int _ref_count_;
	Block3Data * _data3_;
	GtkWidget* w1;
};

struct _Block5Data {
	int _ref_count_;
	CustomFileChooserDialog* self;
	GtkWidget* w2;
};

struct _Block6Data {
	int _ref_count_;
	CustomFileChooserDialog* self;
	GtkTreeView* tv;
};

struct _Block7Data {
	int _ref_count_;
	CustomFileChooserDialog* self;
	gchar* current_filter_name;
};

struct _Block8Data {
	int _ref_count_;
	Block7Data * _data7_;
	GtkComboBoxText* combo_box;
	gint index;
};


static gpointer custom_file_chooser_dialog_parent_class = NULL;
static GtkFileChooserDialog* custom_file_chooser_dialog_chooser_dialog;
static GtkFileChooserDialog* custom_file_chooser_dialog_chooser_dialog = NULL;
static GtkWidget* custom_file_chooser_dialog_rootwidget;
static GtkWidget* custom_file_chooser_dialog_rootwidget = NULL;
static GtkBox* custom_file_chooser_dialog_container_box;
static GtkBox* custom_file_chooser_dialog_container_box = NULL;
static GtkButton* custom_file_chooser_dialog_gtk_folder_button;
static GtkButton* custom_file_chooser_dialog_gtk_folder_button = NULL;

GType custom_file_chooser_dialog_get_type (void) G_GNUC_CONST;
#define CUSTOM_FILE_CHOOSER_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_CUSTOM_FILE_CHOOSER_DIALOG, CustomFileChooserDialogPrivate))
static void _g_free0_ (gpointer var);
static inline void _g_queue_free__g_free0_ (GQueue* self);
#define CUSTOM_FILE_CHOOSER_DIALOG_BUTTON_RESPONSE -6
#define CUSTOM_FILE_CHOOSER_DIALOG_PLACES_SIDEBAR_PATH "places_sidebar"
CustomFileChooserDialog* custom_file_chooser_dialog_new (GtkFileChooserDialog* dialog);
CustomFileChooserDialog* custom_file_chooser_dialog_construct (GType object_type,
                                                               GtkFileChooserDialog* dialog);
static Block1Data* block1_data_ref (Block1Data* _data1_);
static void block1_data_unref (void * _userdata_);
static void custom_file_chooser_dialog_assign_container_box (CustomFileChooserDialog* self);
static void custom_file_chooser_dialog_remove_gtk_widgets (CustomFileChooserDialog* self);
static void custom_file_chooser_dialog_setup_filter_box (CustomFileChooserDialog* self);
static void __lambda24_ (CustomFileChooserDialog* self);
static void ___lambda24__gtk_button_clicked (GtkButton* _sender,
                                      gpointer self);
static void __lambda25_ (CustomFileChooserDialog* self);
static void ___lambda25__gtk_button_clicked (GtkButton* _sender,
                                      gpointer self);
static void __lambda26_ (Block1Data* _data1_);
static void ___lambda26__gtk_file_chooser_current_folder_changed (GtkFileChooser* _sender,
                                                           gpointer self);
static void __lambda27_ (Block1Data* _data1_);
static void ___lambda27__gtk_widget_unrealize (GtkWidget* _sender,
                                        gpointer self);
static void __lambda28_ (CustomFileChooserDialog* self,
                  const gchar* uri);
static void ___lambda28__marlin_view_chrome_locatable_path_change_request (MarlinViewChromeLocatable* _sender,
                                                                    const gchar* path,
                                                                    MarlinOpenFlag flag,
                                                                    gpointer self);
static void __lambda5_ (CustomFileChooserDialog* self,
                 GtkWidget* root);
static Block2Data* block2_data_ref (Block2Data* _data2_);
static void block2_data_unref (void * _userdata_);
static void __lambda6_ (Block2Data* _data2_,
                 GtkWidget* w0);
static void custom_file_chooser_dialog_transform_rootwidget_container (CustomFileChooserDialog* self,
                                                                GtkWidget* rootwidget,
                                                                GtkWidget* w0);
static void ___lambda6__gfunc (gconstpointer data,
                        gpointer self);
static void ___lambda5__gfunc (gconstpointer data,
                        gpointer self);
static Block3Data* block3_data_ref (Block3Data* _data3_);
static void block3_data_unref (void * _userdata_);
static void __lambda7_ (Block3Data* _data3_,
                 GtkWidget* w1);
static Block4Data* block4_data_ref (Block4Data* _data4_);
static void block4_data_unref (void * _userdata_);
static void ___lambda8_ (Block4Data* _data4_,
                  GtkWidget* grid);
static void ____lambda8__gfunc (gconstpointer data,
                         gpointer self);
static void custom_file_chooser_dialog_transform_w1_container (CustomFileChooserDialog* self,
                                                        GtkWidget* w1);
static void ______lambda20_ (Block4Data* _data4_,
                      GtkWidget* w5);
static void _______lambda20__gfunc (gconstpointer data,
                             gpointer self);
static void ___lambda7__gfunc (gconstpointer data,
                        gpointer self);
static void __lambda9_ (CustomFileChooserDialog* self,
                 GtkWidget* paned);
static void __lambda10_ (CustomFileChooserDialog* self,
                  GtkWidget* w2);
static void custom_file_chooser_dialog_transform_w2_container (CustomFileChooserDialog* self,
                                                        GtkWidget* w2);
static void ___lambda10__gfunc (gconstpointer data,
                         gpointer self);
static void ___lambda9__gfunc (gconstpointer data,
                        gpointer self);
static Block5Data* block5_data_ref (Block5Data* _data5_);
static void block5_data_unref (void * _userdata_);
static void __lambda11_ (Block5Data* _data5_,
                  GtkWidget* w3);
static void ___lambda12_ (CustomFileChooserDialog* self,
                   GtkWidget* w4);
static void __lambda13_ (CustomFileChooserDialog* self,
                  GtkWidget* w5);
static void __lambda14_ (CustomFileChooserDialog* self,
                  GtkWidget* w6);
static void ___lambda15_ (CustomFileChooserDialog* self,
                   GtkWidget* w7);
static void ____lambda15__gfunc (gconstpointer data,
                          gpointer self);
static void ___lambda14__gfunc (gconstpointer data,
                         gpointer self);
static void ___lambda13__gfunc (gconstpointer data,
                         gpointer self);
static void ____lambda12__gfunc (gconstpointer data,
                          gpointer self);
static GtkTreeView* custom_file_chooser_dialog_find_tree_view (CustomFileChooserDialog* self,
                                                        GtkWidget* browser_box);
static gboolean custom_file_chooser_dialog_on_tv_button_press_event (CustomFileChooserDialog* self,
                                                              GtkWidget* w,
                                                              GdkEventButton* event);
static gboolean _custom_file_chooser_dialog_on_tv_button_press_event_gtk_widget_button_press_event (GtkWidget* _sender,
                                                                                             GdkEventButton* event,
                                                                                             gpointer self);
static gboolean custom_file_chooser_dialog_on_tv_button_release_event (CustomFileChooserDialog* self,
                                                                GdkEventButton* event);
static gboolean _custom_file_chooser_dialog_on_tv_button_release_event_gtk_widget_button_release_event (GtkWidget* _sender,
                                                                                                 GdkEventButton* event,
                                                                                                 gpointer self);
static void ___lambda11__gfunc (gconstpointer data,
                         gpointer self);
static Block6Data* block6_data_ref (Block6Data* _data6_);
static void block6_data_unref (void * _userdata_);
static void __lambda16_ (Block6Data* _data6_,
                  GtkWidget* w);
static void ___lambda17_ (Block6Data* _data6_,
                   GtkWidget* w);
static void ___lambda18_ (Block6Data* _data6_,
                   GtkWidget* w);
static void ___lambda19_ (Block6Data* _data6_,
                   GtkWidget* w);
static void ____lambda19__gfunc (gconstpointer data,
                          gpointer self);
static void ____lambda18__gfunc (gconstpointer data,
                          gpointer self);
static void ____lambda17__gfunc (gconstpointer data,
                          gpointer self);
static void ___lambda16__gfunc (gconstpointer data,
                         gpointer self);
static void __lambda4_ (CustomFileChooserDialog* self,
                 GtkWidget* child);
static void ___lambda4__gfunc (gconstpointer data,
                        gpointer self);
static Block7Data* block7_data_ref (Block7Data* _data7_);
static void block7_data_unref (void * _userdata_);
static Block8Data* block8_data_ref (Block8Data* _data8_);
static void block8_data_unref (void * _userdata_);
static void ___lambda21_ (Block8Data* _data8_);
static void __lambda22_ (Block8Data* _data8_,
                  GtkFileFilter* filter);
static void ___lambda22__gfunc (gconstpointer data,
                         gpointer self);
static void ____lambda21__gtk_combo_box_changed (GtkComboBox* _sender,
                                          gpointer self);
static void ___lambda23_ (Block8Data* _data8_,
                   GtkFileFilter* filter);
static void ____lambda23__gfunc (gconstpointer data,
                          gpointer self);
static void _vala_GtkTreePath_free (GtkTreePath* self);
static GtkTreeIter* _gtk_tree_iter_dup (GtkTreeIter* self);
static void custom_file_chooser_dialog_finalize (GObject * obj);

static const gchar* CUSTOM_FILE_CHOOSER_DIALOG_GTK_PATHBAR_PATH[4] = {"widget", "browse_widgets_box", "browse_files_box", "browse_header_revealer"};
static const gchar* CUSTOM_FILE_CHOOSER_DIALOG_GTK_FILTERCHOOSER_PATH[2] = {"extra_and_filters", "filter_combo_hbox"};
static const gchar* CUSTOM_FILE_CHOOSER_DIALOG_GTK_TREEVIEW_PATH[3] = {"browse_files_stack", "browse_files_swin", "browse_files_tree_view"};

static void
_g_free0_ (gpointer var)
{
#line 41 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	var = (g_free (var), NULL);
#line 308 "FileChooserDialog.c"
}


static inline void
_g_queue_free__g_free0_ (GQueue* self)
{
#line 41 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_queue_free_full (self, (GDestroyNotify) _g_free0_);
#line 317 "FileChooserDialog.c"
}


static Block1Data*
block1_data_ref (Block1Data* _data1_)
{
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_atomic_int_inc (&_data1_->_ref_count_);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return _data1_;
#line 328 "FileChooserDialog.c"
}


static void
block1_data_unref (void * _userdata_)
{
	Block1Data* _data1_;
	_data1_ = (Block1Data*) _userdata_;
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_atomic_int_dec_and_test (&_data1_->_ref_count_)) {
#line 339 "FileChooserDialog.c"
		CustomFileChooserDialog* self;
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		self = _data1_->self;
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data1_->location_bar);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data1_->button_forward);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data1_->button_back);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data1_->chooser_settings);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (self);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_slice_free (Block1Data, _data1_);
#line 355 "FileChooserDialog.c"
	}
}


static gpointer
_g_object_ref0 (gpointer self)
{
#line 56 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return self ? g_object_ref (self) : NULL;
#line 365 "FileChooserDialog.c"
}


static void
__lambda24_ (CustomFileChooserDialog* self)
{
	GtkFileChooserDialog* _tmp0_;
	GQueue* _tmp1_;
	gpointer _tmp2_;
	gchar* _tmp3_;
#line 96 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->is_previous = TRUE;
#line 97 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = custom_file_chooser_dialog_chooser_dialog;
#line 97 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = self->priv->previous_paths;
#line 97 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = g_queue_pop_head (_tmp1_);
#line 97 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = (gchar*) _tmp2_;
#line 97 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_file_chooser_set_current_folder_uri ((GtkFileChooser*) _tmp0_, _tmp3_);
#line 97 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_free0 (_tmp3_);
#line 390 "FileChooserDialog.c"
}


static void
___lambda24__gtk_button_clicked (GtkButton* _sender,
                                 gpointer self)
{
#line 95 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda24_ ((CustomFileChooserDialog*) self);
#line 400 "FileChooserDialog.c"
}


static void
__lambda25_ (CustomFileChooserDialog* self)
{
	GtkFileChooserDialog* _tmp0_;
	GQueue* _tmp1_;
	gpointer _tmp2_;
	gchar* _tmp3_;
#line 101 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->is_button_next = TRUE;
#line 102 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = custom_file_chooser_dialog_chooser_dialog;
#line 102 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = self->priv->next_paths;
#line 102 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = g_queue_pop_head (_tmp1_);
#line 102 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = (gchar*) _tmp2_;
#line 102 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_file_chooser_set_current_folder_uri ((GtkFileChooser*) _tmp0_, _tmp3_);
#line 102 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_free0 (_tmp3_);
#line 425 "FileChooserDialog.c"
}


static void
___lambda25__gtk_button_clicked (GtkButton* _sender,
                                 gpointer self)
{
#line 100 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda25_ ((CustomFileChooserDialog*) self);
#line 435 "FileChooserDialog.c"
}


static void
__lambda26_ (Block1Data* _data1_)
{
	CustomFileChooserDialog* self;
	gchar* previous_path = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	GtkFileChooserDialog* _tmp2_;
	gchar* _tmp3_;
	gboolean _tmp4_ = FALSE;
	const gchar* _tmp5_;
	gboolean _tmp10_;
	GtkButton* _tmp19_;
	GQueue* _tmp20_;
	GtkButton* _tmp21_;
	GQueue* _tmp22_;
	MarlinViewChromeBasicLocationBar* _tmp23_;
	const gchar* _tmp24_;
#line 105 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data1_->self;
#line 106 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = self->priv->current_path;
#line 106 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 106 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	previous_path = _tmp1_;
#line 107 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = custom_file_chooser_dialog_chooser_dialog;
#line 107 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = gtk_file_chooser_get_current_folder_uri ((GtkFileChooser*) _tmp2_);
#line 107 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_free0 (self->priv->current_path);
#line 107 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->current_path = _tmp3_;
#line 108 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp5_ = previous_path;
#line 108 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (_tmp5_ == NULL) {
#line 108 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp4_ = TRUE;
#line 479 "FileChooserDialog.c"
	} else {
		const gchar* _tmp6_;
		const gchar* _tmp7_;
#line 108 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp6_ = previous_path;
#line 108 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp7_ = self->priv->current_path;
#line 108 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp4_ = g_strcmp0 (_tmp6_, _tmp7_) == 0;
#line 489 "FileChooserDialog.c"
	}
#line 108 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (_tmp4_) {
#line 493 "FileChooserDialog.c"
		MarlinViewChromeBasicLocationBar* _tmp8_;
		const gchar* _tmp9_;
#line 109 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp8_ = _data1_->location_bar;
#line 109 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp9_ = self->priv->current_path;
#line 109 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		marlin_view_chrome_locatable_set_display_path ((MarlinViewChromeLocatable*) _tmp8_, _tmp9_);
#line 110 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_free0 (previous_path);
#line 110 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		return;
#line 506 "FileChooserDialog.c"
	}
#line 113 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp10_ = self->priv->is_previous;
#line 113 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (_tmp10_) {
#line 512 "FileChooserDialog.c"
		GQueue* _tmp11_;
		const gchar* _tmp12_;
		gchar* _tmp13_;
#line 114 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp11_ = self->priv->next_paths;
#line 114 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp12_ = previous_path;
#line 114 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp13_ = g_strdup (_tmp12_);
#line 114 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_queue_push_head (_tmp11_, _tmp13_);
#line 115 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		self->priv->is_previous = FALSE;
#line 526 "FileChooserDialog.c"
	} else {
		GQueue* _tmp14_;
		const gchar* _tmp15_;
		gchar* _tmp16_;
		gboolean _tmp17_;
#line 117 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp14_ = self->priv->previous_paths;
#line 117 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp15_ = previous_path;
#line 117 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp16_ = g_strdup (_tmp15_);
#line 117 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_queue_push_head (_tmp14_, _tmp16_);
#line 118 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp17_ = self->priv->is_button_next;
#line 118 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		if (!_tmp17_) {
#line 544 "FileChooserDialog.c"
			GQueue* _tmp18_;
#line 119 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp18_ = self->priv->next_paths;
#line 119 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			g_queue_clear (_tmp18_);
#line 550 "FileChooserDialog.c"
		} else {
#line 121 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			self->priv->is_button_next = FALSE;
#line 554 "FileChooserDialog.c"
		}
	}
#line 125 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp19_ = _data1_->button_back;
#line 125 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp20_ = self->priv->previous_paths;
#line 125 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp19_, !g_queue_is_empty (_tmp20_));
#line 126 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp21_ = _data1_->button_forward;
#line 126 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp22_ = self->priv->next_paths;
#line 126 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp21_, !g_queue_is_empty (_tmp22_));
#line 127 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp23_ = _data1_->location_bar;
#line 127 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp24_ = self->priv->current_path;
#line 127 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	marlin_view_chrome_locatable_set_display_path ((MarlinViewChromeLocatable*) _tmp23_, _tmp24_);
#line 105 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_free0 (previous_path);
#line 577 "FileChooserDialog.c"
}


static void
___lambda26__gtk_file_chooser_current_folder_changed (GtkFileChooser* _sender,
                                                      gpointer self)
{
#line 105 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda26_ (self);
#line 587 "FileChooserDialog.c"
}


static void
__lambda27_ (Block1Data* _data1_)
{
	CustomFileChooserDialog* self;
	GSettings* _tmp0_;
	MarlinViewChromeBasicLocationBar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
#line 130 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data1_->self;
#line 131 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = _data1_->chooser_settings;
#line 131 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = _data1_->location_bar;
#line 131 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = marlin_view_chrome_locatable_get_display_path ((MarlinViewChromeLocatable*) _tmp1_);
#line 131 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = _tmp2_;
#line 131 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_settings_set_string (_tmp0_, "last-folder-uri", _tmp3_);
#line 131 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_free0 (_tmp3_);
#line 613 "FileChooserDialog.c"
}


static void
___lambda27__gtk_widget_unrealize (GtkWidget* _sender,
                                   gpointer self)
{
#line 130 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda27_ (self);
#line 623 "FileChooserDialog.c"
}


static void
__lambda28_ (CustomFileChooserDialog* self,
             const gchar* uri)
{
	GtkFileChooserDialog* _tmp0_;
#line 134 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (uri != NULL);
#line 135 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = custom_file_chooser_dialog_chooser_dialog;
#line 135 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_file_chooser_set_current_folder ((GtkFileChooser*) _tmp0_, uri);
#line 638 "FileChooserDialog.c"
}


static void
___lambda28__marlin_view_chrome_locatable_path_change_request (MarlinViewChromeLocatable* _sender,
                                                               const gchar* path,
                                                               MarlinOpenFlag flag,
                                                               gpointer self)
{
#line 134 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda28_ ((CustomFileChooserDialog*) self, path);
#line 650 "FileChooserDialog.c"
}


CustomFileChooserDialog*
custom_file_chooser_dialog_construct (GType object_type,
                                      GtkFileChooserDialog* dialog)
{
	CustomFileChooserDialog * self = NULL;
	Block1Data* _data1_;
	GQueue* _tmp0_;
	GQueue* _tmp1_;
	GtkFileChooserDialog* _tmp2_;
	GtkFileChooserDialog* _tmp3_;
	GtkFileChooserDialog* _tmp4_;
	GSettings* settings = NULL;
	GSettings* _tmp5_;
	GSettings* _tmp6_;
	GSettings* _tmp7_;
	GtkHeaderBar* header_bar = NULL;
	GtkHeaderBar* _tmp8_;
	GtkButton* _tmp9_;
	GtkButton* _tmp10_;
	GtkButton* _tmp11_;
	GtkButton* _tmp12_;
	GtkButton* _tmp13_;
	GtkButton* _tmp14_;
	MarlinViewChromeBasicLocationBar* _tmp15_;
	MarlinViewChromeBasicLocationBar* _tmp16_;
	GtkFileChooserDialog* _tmp17_;
	gchar* _tmp18_;
	gchar* _tmp19_;
	MarlinViewChromeBasicLocationBar* _tmp20_;
	GtkHeaderBar* _tmp21_;
	GtkButton* _tmp22_;
	GtkHeaderBar* _tmp23_;
	GtkButton* _tmp24_;
	GtkHeaderBar* _tmp25_;
	MarlinViewChromeBasicLocationBar* _tmp26_;
	gboolean _tmp27_ = FALSE;
	GtkButton* _tmp28_;
	GtkFileChooserDialog* _tmp38_;
	GtkHeaderBar* _tmp39_;
	GtkFileChooserDialog* _tmp40_;
	GtkButton* _tmp41_;
	GtkButton* _tmp42_;
	GtkFileChooserDialog* _tmp43_;
	GtkFileChooserDialog* _tmp44_;
	MarlinViewChromeBasicLocationBar* _tmp45_;
	GtkFileChooserDialog* _tmp46_;
	GSettings* _tmp47_;
	gchar* _tmp48_;
	gchar* _tmp49_;
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_val_if_fail (dialog != NULL, NULL);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data1_ = g_slice_new0 (Block1Data);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data1_->_ref_count_ = 1;
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = (CustomFileChooserDialog*) g_object_new (object_type, NULL);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data1_->self = g_object_ref (self);
#line 53 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = g_queue_new ();
#line 53 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	(self->priv->previous_paths == NULL) ? NULL : (self->priv->previous_paths = (_g_queue_free__g_free0_ (self->priv->previous_paths), NULL));
#line 53 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->previous_paths = _tmp0_;
#line 54 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = g_queue_new ();
#line 54 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	(self->priv->next_paths == NULL) ? NULL : (self->priv->next_paths = (_g_queue_free__g_free0_ (self->priv->next_paths), NULL));
#line 54 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->next_paths = _tmp1_;
#line 56 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = _g_object_ref0 (dialog);
#line 56 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (custom_file_chooser_dialog_chooser_dialog);
#line 56 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	custom_file_chooser_dialog_chooser_dialog = _tmp2_;
#line 57 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = custom_file_chooser_dialog_chooser_dialog;
#line 57 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_can_focus ((GtkWidget*) _tmp3_, TRUE);
#line 58 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp4_ = custom_file_chooser_dialog_chooser_dialog;
#line 58 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_window_set_deletable ((GtkWindow*) _tmp4_, FALSE);
#line 60 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp5_ = g_settings_new ("org.pantheon.files.preferences");
#line 60 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	settings = _tmp5_;
#line 61 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp6_ = settings;
#line 61 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->is_single_click = g_settings_get_boolean (_tmp6_, "single-click");
#line 63 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp7_ = g_settings_new ("org.pantheon.files.file-chooser");
#line 63 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data1_->chooser_settings = _tmp7_;
#line 65 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	custom_file_chooser_dialog_assign_container_box (self);
#line 66 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	custom_file_chooser_dialog_remove_gtk_widgets (self);
#line 67 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	custom_file_chooser_dialog_setup_filter_box (self);
#line 69 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp8_ = (GtkHeaderBar*) gtk_header_bar_new ();
#line 69 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_object_ref_sink (_tmp8_);
#line 69 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	header_bar = _tmp8_;
#line 71 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp9_ = (GtkButton*) gtk_button_new_from_icon_name ("go-previous-symbolic", (GtkIconSize) GTK_ICON_SIZE_LARGE_TOOLBAR);
#line 71 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_object_ref_sink (_tmp9_);
#line 71 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data1_->button_back = _tmp9_;
#line 72 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp10_ = _data1_->button_back;
#line 72 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) _tmp10_, _ ("Previous"));
#line 73 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp11_ = _data1_->button_back;
#line 73 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp11_, FALSE);
#line 75 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp12_ = (GtkButton*) gtk_button_new_from_icon_name ("go-next-symbolic", (GtkIconSize) GTK_ICON_SIZE_LARGE_TOOLBAR);
#line 75 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_object_ref_sink (_tmp12_);
#line 75 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data1_->button_forward = _tmp12_;
#line 76 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp13_ = _data1_->button_forward;
#line 76 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) _tmp13_, _ ("Next"));
#line 77 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp14_ = _data1_->button_forward;
#line 77 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp14_, FALSE);
#line 79 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp15_ = marlin_view_chrome_basic_location_bar_new (NULL);
#line 79 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_object_ref_sink (_tmp15_);
#line 79 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data1_->location_bar = _tmp15_;
#line 80 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp16_ = _data1_->location_bar;
#line 80 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp17_ = custom_file_chooser_dialog_chooser_dialog;
#line 80 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp18_ = gtk_file_chooser_get_current_folder_uri ((GtkFileChooser*) _tmp17_);
#line 80 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp19_ = _tmp18_;
#line 80 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	marlin_view_chrome_locatable_set_display_path ((MarlinViewChromeLocatable*) _tmp16_, _tmp19_);
#line 80 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_free0 (_tmp19_);
#line 81 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp20_ = _data1_->location_bar;
#line 81 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp20_, TRUE);
#line 83 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp21_ = header_bar;
#line 83 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp22_ = _data1_->button_back;
#line 83 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_header_bar_pack_start (_tmp21_, (GtkWidget*) _tmp22_);
#line 84 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp23_ = header_bar;
#line 84 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp24_ = _data1_->button_forward;
#line 84 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_header_bar_pack_start (_tmp23_, (GtkWidget*) _tmp24_);
#line 85 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp25_ = header_bar;
#line 85 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp26_ = _data1_->location_bar;
#line 85 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_header_bar_pack_start (_tmp25_, (GtkWidget*) _tmp26_);
#line 86 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp28_ = custom_file_chooser_dialog_gtk_folder_button;
#line 86 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (_tmp28_ != NULL) {
#line 835 "FileChooserDialog.c"
		GtkFileChooserDialog* _tmp29_;
#line 86 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp29_ = custom_file_chooser_dialog_chooser_dialog;
#line 86 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp27_ = gtk_file_chooser_get_action ((GtkFileChooser*) _tmp29_) != GTK_FILE_CHOOSER_ACTION_OPEN;
#line 841 "FileChooserDialog.c"
	} else {
#line 86 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp27_ = FALSE;
#line 845 "FileChooserDialog.c"
	}
#line 86 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (_tmp27_) {
#line 849 "FileChooserDialog.c"
		GtkButton* _tmp30_;
		GtkImage* _tmp31_;
		GtkImage* _tmp32_;
		GtkButton* _tmp33_;
		GtkContainer* _tmp34_;
		GtkButton* _tmp35_;
		GtkHeaderBar* _tmp36_;
		GtkButton* _tmp37_;
#line 87 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp30_ = custom_file_chooser_dialog_gtk_folder_button;
#line 87 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp31_ = (GtkImage*) gtk_image_new_from_icon_name ("folder-new", (GtkIconSize) GTK_ICON_SIZE_LARGE_TOOLBAR);
#line 87 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_object_ref_sink (_tmp31_);
#line 87 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp32_ = _tmp31_;
#line 87 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_button_set_image (_tmp30_, (GtkWidget*) _tmp32_);
#line 87 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_tmp32_);
#line 88 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp33_ = custom_file_chooser_dialog_gtk_folder_button;
#line 88 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp34_ = gtk_widget_get_parent ((GtkWidget*) _tmp33_);
#line 88 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp35_ = custom_file_chooser_dialog_gtk_folder_button;
#line 88 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_container_remove (G_TYPE_CHECK_INSTANCE_CAST (_tmp34_, gtk_container_get_type (), GtkContainer), (GtkWidget*) _tmp35_);
#line 89 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp36_ = header_bar;
#line 89 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp37_ = custom_file_chooser_dialog_gtk_folder_button;
#line 89 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_header_bar_pack_end (_tmp36_, (GtkWidget*) _tmp37_);
#line 884 "FileChooserDialog.c"
	}
#line 92 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp38_ = custom_file_chooser_dialog_chooser_dialog;
#line 92 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp39_ = header_bar;
#line 92 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_window_set_titlebar ((GtkWindow*) _tmp38_, (GtkWidget*) _tmp39_);
#line 93 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp40_ = custom_file_chooser_dialog_chooser_dialog;
#line 93 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_widget_show_all ((GtkWidget*) _tmp40_);
#line 95 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp41_ = _data1_->button_back;
#line 95 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_signal_connect_object (_tmp41_, "clicked", (GCallback) ___lambda24__gtk_button_clicked, self, 0);
#line 100 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp42_ = _data1_->button_forward;
#line 100 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_signal_connect_object (_tmp42_, "clicked", (GCallback) ___lambda25__gtk_button_clicked, self, 0);
#line 105 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp43_ = custom_file_chooser_dialog_chooser_dialog;
#line 105 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_signal_connect_data ((GtkFileChooser*) _tmp43_, "current-folder-changed", (GCallback) ___lambda26__gtk_file_chooser_current_folder_changed, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
#line 130 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp44_ = custom_file_chooser_dialog_chooser_dialog;
#line 130 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_signal_connect_data ((GtkWidget*) _tmp44_, "unrealize", (GCallback) ___lambda27__gtk_widget_unrealize, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
#line 134 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp45_ = _data1_->location_bar;
#line 134 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_signal_connect_object ((MarlinViewChromeLocatable*) _tmp45_, "path-change-request", (GCallback) ___lambda28__marlin_view_chrome_locatable_path_change_request, self, 0);
#line 138 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp46_ = custom_file_chooser_dialog_chooser_dialog;
#line 138 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp47_ = _data1_->chooser_settings;
#line 138 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp48_ = g_settings_get_string (_tmp47_, "last-folder-uri");
#line 138 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp49_ = _tmp48_;
#line 138 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_file_chooser_set_current_folder_uri ((GtkFileChooser*) _tmp46_, _tmp49_);
#line 138 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_free0 (_tmp49_);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (header_bar);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (settings);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	block1_data_unref (_data1_);
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data1_ = NULL;
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return self;
#line 938 "FileChooserDialog.c"
}


CustomFileChooserDialog*
custom_file_chooser_dialog_new (GtkFileChooserDialog* dialog)
{
#line 52 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return custom_file_chooser_dialog_construct (TYPE_CUSTOM_FILE_CHOOSER_DIALOG, dialog);
#line 947 "FileChooserDialog.c"
}


static Block2Data*
block2_data_ref (Block2Data* _data2_)
{
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_atomic_int_inc (&_data2_->_ref_count_);
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return _data2_;
#line 958 "FileChooserDialog.c"
}


static void
block2_data_unref (void * _userdata_)
{
	Block2Data* _data2_;
	_data2_ = (Block2Data*) _userdata_;
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_atomic_int_dec_and_test (&_data2_->_ref_count_)) {
#line 969 "FileChooserDialog.c"
		CustomFileChooserDialog* self;
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		self = _data2_->self;
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data2_->root);
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (self);
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_slice_free (Block2Data, _data2_);
#line 979 "FileChooserDialog.c"
	}
}


static void
__lambda6_ (Block2Data* _data2_,
            GtkWidget* w0)
{
	CustomFileChooserDialog* self;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
#line 148 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data2_->self;
#line 148 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w0 != NULL);
#line 149 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = gtk_buildable_get_name ((GtkBuildable*) w0);
#line 149 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_PATHBAR_PATH[0];
#line 149 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_strcmp0 (_tmp0_, _tmp1_) == 0) {
#line 1001 "FileChooserDialog.c"
		GtkContainer* chooserwidget = NULL;
		GtkContainer* _tmp2_;
		GtkContainer* _tmp3_;
		GtkBox* root_box = NULL;
		GtkBox* _tmp4_;
		GtkBox* _tmp5_;
		GtkSeparator* _tmp6_;
		GtkSeparator* _tmp7_;
		GtkBox* _tmp8_;
		GtkContainer* _tmp9_;
		GtkFileChooserDialog* _tmp10_;
		GtkWidget* _tmp11_;
		GtkBox* _tmp15_;
		GtkContainer* _tmp16_;
		GtkWidget* _tmp17_;
		GtkWidget* _tmp18_;
		GtkWidget* _tmp19_;
		GtkWidget* _tmp20_;
#line 151 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp2_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (w0, gtk_container_get_type ()) ? ((GtkContainer*) w0) : NULL);
#line 151 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		chooserwidget = _tmp2_;
#line 152 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp3_ = chooserwidget;
#line 152 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_widget_set_vexpand ((GtkWidget*) _tmp3_, TRUE);
#line 154 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_container_remove (G_TYPE_CHECK_INSTANCE_TYPE (_data2_->root, gtk_container_get_type ()) ? ((GtkContainer*) _data2_->root) : NULL, w0);
#line 155 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp4_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 0);
#line 155 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_object_ref_sink (_tmp4_);
#line 155 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		root_box = _tmp4_;
#line 156 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp5_ = root_box;
#line 156 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp6_ = (GtkSeparator*) gtk_separator_new (GTK_ORIENTATION_HORIZONTAL);
#line 156 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_object_ref_sink (_tmp6_);
#line 156 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp7_ = _tmp6_;
#line 156 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_container_add ((GtkContainer*) _tmp5_, (GtkWidget*) _tmp7_);
#line 156 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_tmp7_);
#line 157 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp8_ = root_box;
#line 157 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp9_ = chooserwidget;
#line 157 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_container_add ((GtkContainer*) _tmp8_, (GtkWidget*) _tmp9_);
#line 159 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp10_ = custom_file_chooser_dialog_chooser_dialog;
#line 159 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp11_ = gtk_file_chooser_get_extra_widget ((GtkFileChooser*) _tmp10_);
#line 159 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		if (_tmp11_ == NULL) {
#line 1060 "FileChooserDialog.c"
			GtkBox* _tmp12_;
			GtkSeparator* _tmp13_;
			GtkSeparator* _tmp14_;
#line 160 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp12_ = root_box;
#line 160 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp13_ = (GtkSeparator*) gtk_separator_new (GTK_ORIENTATION_HORIZONTAL);
#line 160 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			g_object_ref_sink (_tmp13_);
#line 160 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp14_ = _tmp13_;
#line 160 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			gtk_container_add ((GtkContainer*) _tmp12_, (GtkWidget*) _tmp14_);
#line 160 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_g_object_unref0 (_tmp14_);
#line 1076 "FileChooserDialog.c"
		}
#line 163 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp15_ = root_box;
#line 163 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_container_add (G_TYPE_CHECK_INSTANCE_TYPE (_data2_->root, gtk_container_get_type ()) ? ((GtkContainer*) _data2_->root) : NULL, (GtkWidget*) _tmp15_);
#line 164 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp16_ = chooserwidget;
#line 164 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp17_ = _g_object_ref0 ((GtkWidget*) _tmp16_);
#line 164 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (custom_file_chooser_dialog_rootwidget);
#line 164 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		custom_file_chooser_dialog_rootwidget = _tmp17_;
#line 165 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp18_ = _g_object_ref0 (w0);
#line 165 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (custom_file_chooser_dialog_rootwidget);
#line 165 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		custom_file_chooser_dialog_rootwidget = _tmp18_;
#line 166 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp19_ = custom_file_chooser_dialog_rootwidget;
#line 166 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_widget_set_can_focus (_tmp19_, TRUE);
#line 167 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp20_ = custom_file_chooser_dialog_rootwidget;
#line 167 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		custom_file_chooser_dialog_transform_rootwidget_container (self, _tmp20_, w0);
#line 149 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (root_box);
#line 149 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (chooserwidget);
#line 1108 "FileChooserDialog.c"
	}
}


static void
___lambda6__gfunc (gconstpointer data,
                   gpointer self)
{
#line 148 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda6_ (self, (GtkWidget*) data);
#line 1119 "FileChooserDialog.c"
}


static void
__lambda5_ (CustomFileChooserDialog* self,
            GtkWidget* root)
{
	Block2Data* _data2_;
	GtkWidget* _tmp0_;
	GList* _tmp1_;
	GList* _tmp2_;
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (root != NULL);
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data2_ = g_slice_new0 (Block2Data);
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data2_->_ref_count_ = 1;
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data2_->self = g_object_ref (self);
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = _g_object_ref0 (root);
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (_data2_->root);
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data2_->root = _tmp0_;
#line 148 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_data2_->root, gtk_container_get_type ()) ? ((GtkContainer*) _data2_->root) : NULL);
#line 148 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = _tmp1_;
#line 148 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_list_foreach (_tmp2_, ___lambda6__gfunc, _data2_);
#line 148 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	(_tmp2_ == NULL) ? NULL : (_tmp2_ = (g_list_free (_tmp2_), NULL));
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	block2_data_unref (_data2_);
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data2_ = NULL;
#line 1157 "FileChooserDialog.c"
}


static void
___lambda5__gfunc (gconstpointer data,
                   gpointer self)
{
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda5_ ((CustomFileChooserDialog*) self, (GtkWidget*) data);
#line 1167 "FileChooserDialog.c"
}


static void
custom_file_chooser_dialog_remove_gtk_widgets (CustomFileChooserDialog* self)
{
	GtkFileChooserDialog* _tmp0_;
	GList* _tmp1_;
	GList* _tmp2_;
#line 146 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (self != NULL);
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = custom_file_chooser_dialog_chooser_dialog;
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_container_get_children ((GtkContainer*) _tmp0_);
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = _tmp1_;
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_list_foreach (_tmp2_, ___lambda5__gfunc, self);
#line 147 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	(_tmp2_ == NULL) ? NULL : (_tmp2_ = (g_list_free (_tmp2_), NULL));
#line 1189 "FileChooserDialog.c"
}


static Block3Data*
block3_data_ref (Block3Data* _data3_)
{
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_atomic_int_inc (&_data3_->_ref_count_);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return _data3_;
#line 1200 "FileChooserDialog.c"
}


static void
block3_data_unref (void * _userdata_)
{
	Block3Data* _data3_;
	_data3_ = (Block3Data*) _userdata_;
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_atomic_int_dec_and_test (&_data3_->_ref_count_)) {
#line 1211 "FileChooserDialog.c"
		CustomFileChooserDialog* self;
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		self = _data3_->self;
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data3_->rootwidget);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data3_->w0);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (self);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_slice_free (Block3Data, _data3_);
#line 1223 "FileChooserDialog.c"
	}
}


static Block4Data*
block4_data_ref (Block4Data* _data4_)
{
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_atomic_int_inc (&_data4_->_ref_count_);
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return _data4_;
#line 1235 "FileChooserDialog.c"
}


static void
block4_data_unref (void * _userdata_)
{
	Block4Data* _data4_;
	_data4_ = (Block4Data*) _userdata_;
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_atomic_int_dec_and_test (&_data4_->_ref_count_)) {
#line 1246 "FileChooserDialog.c"
		CustomFileChooserDialog* self;
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		self = _data4_->_data3_->self;
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data4_->w1);
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		block3_data_unref (_data4_->_data3_);
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_data4_->_data3_ = NULL;
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_slice_free (Block4Data, _data4_);
#line 1258 "FileChooserDialog.c"
	}
}


static void
___lambda8_ (Block4Data* _data4_,
             GtkWidget* grid)
{
	Block3Data* _data3_;
	CustomFileChooserDialog* self;
	GtkBox* _tmp0_;
	GtkBox* _tmp1_;
#line 179 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data3_ = _data4_->_data3_;
#line 179 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data3_->self;
#line 179 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (grid != NULL);
#line 180 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_object_ref ((GObject*) grid);
#line 181 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_object_set (grid, "margin", 0, NULL);
#line 182 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_valign (grid, GTK_ALIGN_CENTER);
#line 183 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_container_set_border_width (G_TYPE_CHECK_INSTANCE_CAST (grid, gtk_container_get_type (), GtkContainer), (guint) 0);
#line 184 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_container_remove (G_TYPE_CHECK_INSTANCE_TYPE (_data4_->w1, gtk_container_get_type ()) ? ((GtkContainer*) _data4_->w1) : NULL, grid);
#line 185 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = custom_file_chooser_dialog_container_box;
#line 185 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_box_pack_start (_tmp0_, grid, TRUE, TRUE, (guint) 0);
#line 186 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = custom_file_chooser_dialog_container_box;
#line 186 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_button_box_set_child_secondary (G_TYPE_CHECK_INSTANCE_CAST (_tmp1_, gtk_button_box_get_type (), GtkButtonBox), grid, TRUE);
#line 187 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_object_unref ((GObject*) grid);
#line 1297 "FileChooserDialog.c"
}


static void
____lambda8__gfunc (gconstpointer data,
                    gpointer self)
{
#line 179 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	___lambda8_ (self, (GtkWidget*) data);
#line 1307 "FileChooserDialog.c"
}


static void
______lambda20_ (Block4Data* _data4_,
                 GtkWidget* w5)
{
	Block3Data* _data3_;
	CustomFileChooserDialog* self;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
#line 200 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data3_ = _data4_->_data3_;
#line 200 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data3_->self;
#line 200 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w5 != NULL);
#line 201 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = gtk_buildable_get_name ((GtkBuildable*) w5);
#line 201 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_FILTERCHOOSER_PATH[1];
#line 201 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_strcmp0 (_tmp0_, _tmp1_) == 0) {
#line 202 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_container_remove (G_TYPE_CHECK_INSTANCE_TYPE (_data4_->w1, gtk_container_get_type ()) ? ((GtkContainer*) _data4_->w1) : NULL, w5);
#line 1333 "FileChooserDialog.c"
	}
}


static void
_______lambda20__gfunc (gconstpointer data,
                        gpointer self)
{
#line 200 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	______lambda20_ (self, (GtkWidget*) data);
#line 1344 "FileChooserDialog.c"
}


static void
__lambda7_ (Block3Data* _data3_,
            GtkWidget* w1)
{
	CustomFileChooserDialog* self;
	Block4Data* _data4_;
	GtkWidget* _tmp0_;
	gboolean _tmp1_ = FALSE;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data3_->self;
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w1 != NULL);
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data4_ = g_slice_new0 (Block4Data);
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data4_->_ref_count_ = 1;
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data4_->_data3_ = block3_data_ref (_data3_);
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = _g_object_ref0 (w1);
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (_data4_->w1);
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data4_->w1 = _tmp0_;
#line 175 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = gtk_widget_get_name (_data4_->w1);
#line 175 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = _tmp2_;
#line 175 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_strcmp0 (_tmp3_, "GtkBox") == 0) {
#line 1380 "FileChooserDialog.c"
		const gchar* _tmp4_;
		const gchar* _tmp5_;
#line 175 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp4_ = gtk_buildable_get_name ((GtkBuildable*) _data4_->w1);
#line 175 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp5_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_PATHBAR_PATH[1];
#line 175 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp1_ = g_strcmp0 (_tmp4_, _tmp5_) != 0;
#line 1389 "FileChooserDialog.c"
	} else {
#line 175 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp1_ = FALSE;
#line 1393 "FileChooserDialog.c"
	}
#line 175 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (_tmp1_) {
#line 1397 "FileChooserDialog.c"
		GList* _tmp6_;
		GList* _tmp7_;
		GtkBox* _tmp8_;
#line 176 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_object_ref ((GObject*) _data4_->w1);
#line 177 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_container_remove (G_TYPE_CHECK_INSTANCE_TYPE (_data3_->rootwidget, gtk_container_get_type ()) ? ((GtkContainer*) _data3_->rootwidget) : NULL, _data4_->w1);
#line 179 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp6_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_data4_->w1, gtk_container_get_type ()) ? ((GtkContainer*) _data4_->w1) : NULL);
#line 179 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp7_ = _tmp6_;
#line 179 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_list_foreach (_tmp7_, ____lambda8__gfunc, _data4_);
#line 179 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		(_tmp7_ == NULL) ? NULL : (_tmp7_ = (g_list_free (_tmp7_), NULL));
#line 190 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_object_unref ((GObject*) _data4_->w1);
#line 191 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp8_ = custom_file_chooser_dialog_container_box;
#line 191 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_widget_show_all ((GtkWidget*) _tmp8_);
#line 1419 "FileChooserDialog.c"
	} else {
		const gchar* _tmp9_;
		const gchar* _tmp10_;
#line 192 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp9_ = gtk_buildable_get_name ((GtkBuildable*) _data4_->w1);
#line 192 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp10_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_PATHBAR_PATH[1];
#line 192 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		if (g_strcmp0 (_tmp9_, _tmp10_) == 0) {
#line 193 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			custom_file_chooser_dialog_transform_w1_container (self, _data4_->w1);
#line 1431 "FileChooserDialog.c"
		} else {
			const gchar* _tmp11_;
			const gchar* _tmp12_;
#line 195 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp11_ = gtk_buildable_get_name ((GtkBuildable*) _data4_->w1);
#line 195 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp12_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_FILTERCHOOSER_PATH[0];
#line 195 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			if (g_strcmp0 (_tmp11_, _tmp12_) == 0) {
#line 1441 "FileChooserDialog.c"
				GtkFileChooserDialog* _tmp13_;
				GtkWidget* _tmp14_;
#line 197 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
				_tmp13_ = custom_file_chooser_dialog_chooser_dialog;
#line 197 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
				_tmp14_ = gtk_file_chooser_get_extra_widget ((GtkFileChooser*) _tmp13_);
#line 197 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
				if (_tmp14_ == NULL) {
#line 198 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
					gtk_container_remove (G_TYPE_CHECK_INSTANCE_TYPE (_data3_->w0, gtk_container_get_type ()) ? ((GtkContainer*) _data3_->w0) : NULL, _data4_->w1);
#line 1452 "FileChooserDialog.c"
				} else {
					GList* _tmp15_;
					GList* _tmp16_;
#line 200 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
					_tmp15_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_data4_->w1, gtk_container_get_type ()) ? ((GtkContainer*) _data4_->w1) : NULL);
#line 200 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
					_tmp16_ = _tmp15_;
#line 200 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
					g_list_foreach (_tmp16_, _______lambda20__gfunc, _data4_);
#line 200 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
					(_tmp16_ == NULL) ? NULL : (_tmp16_ = (g_list_free (_tmp16_), NULL));
#line 1464 "FileChooserDialog.c"
				}
			}
		}
	}
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	block4_data_unref (_data4_);
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data4_ = NULL;
#line 1473 "FileChooserDialog.c"
}


static void
___lambda7__gfunc (gconstpointer data,
                   gpointer self)
{
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda7_ (self, (GtkWidget*) data);
#line 1483 "FileChooserDialog.c"
}


static void
custom_file_chooser_dialog_transform_rootwidget_container (CustomFileChooserDialog* self,
                                                           GtkWidget* rootwidget,
                                                           GtkWidget* w0)
{
	Block3Data* _data3_;
	GtkWidget* _tmp0_;
	GtkWidget* _tmp1_;
	GList* _tmp2_;
	GList* _tmp3_;
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (self != NULL);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (rootwidget != NULL);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w0 != NULL);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data3_ = g_slice_new0 (Block3Data);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data3_->_ref_count_ = 1;
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data3_->self = g_object_ref (self);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = _g_object_ref0 (rootwidget);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (_data3_->rootwidget);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data3_->rootwidget = _tmp0_;
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = _g_object_ref0 (w0);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (_data3_->w0);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data3_->w0 = _tmp1_;
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_data3_->rootwidget, gtk_container_get_type ()) ? ((GtkContainer*) _data3_->rootwidget) : NULL);
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = _tmp2_;
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_list_foreach (_tmp3_, ___lambda7__gfunc, _data3_);
#line 174 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	(_tmp3_ == NULL) ? NULL : (_tmp3_ = (g_list_free (_tmp3_), NULL));
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	block3_data_unref (_data3_);
#line 173 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data3_ = NULL;
#line 1533 "FileChooserDialog.c"
}


static void
__lambda10_ (CustomFileChooserDialog* self,
             GtkWidget* w2)
{
#line 212 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w2 != NULL);
#line 213 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (G_TYPE_CHECK_INSTANCE_TYPE (w2, gtk_places_sidebar_get_type ())) {
#line 214 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_places_sidebar_set_show_desktop (G_TYPE_CHECK_INSTANCE_TYPE (w2, gtk_places_sidebar_get_type ()) ? ((GtkPlacesSidebar*) w2) : NULL, FALSE);
#line 215 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_places_sidebar_set_show_enter_location (G_TYPE_CHECK_INSTANCE_TYPE (w2, gtk_places_sidebar_get_type ()) ? ((GtkPlacesSidebar*) w2) : NULL, FALSE);
#line 1549 "FileChooserDialog.c"
	} else {
#line 217 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		custom_file_chooser_dialog_transform_w2_container (self, w2);
#line 1553 "FileChooserDialog.c"
	}
}


static void
___lambda10__gfunc (gconstpointer data,
                    gpointer self)
{
#line 212 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda10_ ((CustomFileChooserDialog*) self, (GtkWidget*) data);
#line 1564 "FileChooserDialog.c"
}


static void
__lambda9_ (CustomFileChooserDialog* self,
            GtkWidget* paned)
{
	GList* _tmp0_;
	GList* _tmp1_;
#line 211 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (paned != NULL);
#line 212 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (paned, gtk_container_get_type ()) ? ((GtkContainer*) paned) : NULL);
#line 212 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = _tmp0_;
#line 212 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_list_foreach (_tmp1_, ___lambda10__gfunc, self);
#line 212 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	(_tmp1_ == NULL) ? NULL : (_tmp1_ = (g_list_free (_tmp1_), NULL));
#line 1584 "FileChooserDialog.c"
}


static void
___lambda9__gfunc (gconstpointer data,
                   gpointer self)
{
#line 211 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda9_ ((CustomFileChooserDialog*) self, (GtkWidget*) data);
#line 1594 "FileChooserDialog.c"
}


static void
custom_file_chooser_dialog_transform_w1_container (CustomFileChooserDialog* self,
                                                   GtkWidget* w1)
{
	GList* _tmp0_;
	GList* _tmp1_;
#line 210 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (self != NULL);
#line 210 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w1 != NULL);
#line 211 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (w1, gtk_container_get_type ()) ? ((GtkContainer*) w1) : NULL);
#line 211 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = _tmp0_;
#line 211 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_list_foreach (_tmp1_, ___lambda9__gfunc, self);
#line 211 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	(_tmp1_ == NULL) ? NULL : (_tmp1_ = (g_list_free (_tmp1_), NULL));
#line 1616 "FileChooserDialog.c"
}


static Block5Data*
block5_data_ref (Block5Data* _data5_)
{
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_atomic_int_inc (&_data5_->_ref_count_);
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return _data5_;
#line 1627 "FileChooserDialog.c"
}


static void
block5_data_unref (void * _userdata_)
{
	Block5Data* _data5_;
	_data5_ = (Block5Data*) _userdata_;
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_atomic_int_dec_and_test (&_data5_->_ref_count_)) {
#line 1638 "FileChooserDialog.c"
		CustomFileChooserDialog* self;
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		self = _data5_->self;
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data5_->w2);
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (self);
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_slice_free (Block5Data, _data5_);
#line 1648 "FileChooserDialog.c"
	}
}


static void
___lambda15_ (CustomFileChooserDialog* self,
              GtkWidget* w7)
{
#line 230 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w7 != NULL);
#line 231 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (G_TYPE_CHECK_INSTANCE_TYPE (w7, gtk_button_get_type ())) {
#line 1661 "FileChooserDialog.c"
		GtkButton* _tmp0_;
#line 233 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp0_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (w7, gtk_button_get_type ()) ? ((GtkButton*) w7) : NULL);
#line 233 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (custom_file_chooser_dialog_gtk_folder_button);
#line 233 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		custom_file_chooser_dialog_gtk_folder_button = _tmp0_;
#line 1669 "FileChooserDialog.c"
	}
}


static void
____lambda15__gfunc (gconstpointer data,
                     gpointer self)
{
#line 230 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	___lambda15_ ((CustomFileChooserDialog*) self, (GtkWidget*) data);
#line 1680 "FileChooserDialog.c"
}


static void
__lambda14_ (CustomFileChooserDialog* self,
             GtkWidget* w6)
{
#line 228 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w6 != NULL);
#line 229 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (G_TYPE_CHECK_INSTANCE_TYPE (w6, gtk_box_get_type ())) {
#line 1692 "FileChooserDialog.c"
		GList* _tmp0_;
		GList* _tmp1_;
#line 230 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp0_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (w6, gtk_container_get_type ()) ? ((GtkContainer*) w6) : NULL);
#line 230 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp1_ = _tmp0_;
#line 230 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_list_foreach (_tmp1_, ____lambda15__gfunc, self);
#line 230 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		(_tmp1_ == NULL) ? NULL : (_tmp1_ = (g_list_free (_tmp1_), NULL));
#line 1703 "FileChooserDialog.c"
	}
}


static void
___lambda14__gfunc (gconstpointer data,
                    gpointer self)
{
#line 228 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda14_ ((CustomFileChooserDialog*) self, (GtkWidget*) data);
#line 1714 "FileChooserDialog.c"
}


static void
__lambda13_ (CustomFileChooserDialog* self,
             GtkWidget* w5)
{
	GList* _tmp0_;
	GList* _tmp1_;
#line 227 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w5 != NULL);
#line 228 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (w5, gtk_container_get_type ()) ? ((GtkContainer*) w5) : NULL);
#line 228 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = _tmp0_;
#line 228 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_list_foreach (_tmp1_, ___lambda14__gfunc, self);
#line 228 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	(_tmp1_ == NULL) ? NULL : (_tmp1_ = (g_list_free (_tmp1_), NULL));
#line 1734 "FileChooserDialog.c"
}


static void
___lambda13__gfunc (gconstpointer data,
                    gpointer self)
{
#line 227 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda13_ ((CustomFileChooserDialog*) self, (GtkWidget*) data);
#line 1744 "FileChooserDialog.c"
}


static void
___lambda12_ (CustomFileChooserDialog* self,
              GtkWidget* w4)
{
	GList* _tmp0_;
	GList* _tmp1_;
#line 226 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w4 != NULL);
#line 227 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (w4, gtk_container_get_type ()) ? ((GtkContainer*) w4) : NULL);
#line 227 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = _tmp0_;
#line 227 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_list_foreach (_tmp1_, ___lambda13__gfunc, self);
#line 227 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	(_tmp1_ == NULL) ? NULL : (_tmp1_ = (g_list_free (_tmp1_), NULL));
#line 1764 "FileChooserDialog.c"
}


static void
____lambda12__gfunc (gconstpointer data,
                     gpointer self)
{
#line 226 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	___lambda12_ ((CustomFileChooserDialog*) self, (GtkWidget*) data);
#line 1774 "FileChooserDialog.c"
}


static gboolean
_custom_file_chooser_dialog_on_tv_button_press_event_gtk_widget_button_press_event (GtkWidget* _sender,
                                                                                    GdkEventButton* event,
                                                                                    gpointer self)
{
	gboolean result;
	result = custom_file_chooser_dialog_on_tv_button_press_event ((CustomFileChooserDialog*) self, _sender, event);
#line 250 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return result;
#line 1787 "FileChooserDialog.c"
}


static gboolean
_custom_file_chooser_dialog_on_tv_button_release_event_gtk_widget_button_release_event (GtkWidget* _sender,
                                                                                        GdkEventButton* event,
                                                                                        gpointer self)
{
	gboolean result;
	result = custom_file_chooser_dialog_on_tv_button_release_event ((CustomFileChooserDialog*) self, event);
#line 251 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return result;
#line 1800 "FileChooserDialog.c"
}


static void
__lambda11_ (Block5Data* _data5_,
             GtkWidget* w3)
{
	CustomFileChooserDialog* self;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
#line 224 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data5_->self;
#line 224 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w3 != NULL);
#line 225 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = gtk_buildable_get_name ((GtkBuildable*) w3);
#line 225 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_PATHBAR_PATH[3];
#line 225 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_strcmp0 (_tmp0_, _tmp1_) == 0) {
#line 1821 "FileChooserDialog.c"
		GList* _tmp2_;
		GList* _tmp3_;
#line 226 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp2_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (w3, gtk_container_get_type ()) ? ((GtkContainer*) w3) : NULL);
#line 226 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp3_ = _tmp2_;
#line 226 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_list_foreach (_tmp3_, ____lambda12__gfunc, self);
#line 226 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		(_tmp3_ == NULL) ? NULL : (_tmp3_ = (g_list_free (_tmp3_), NULL));
#line 241 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_container_remove (G_TYPE_CHECK_INSTANCE_TYPE (_data5_->w2, gtk_container_get_type ()) ? ((GtkContainer*) _data5_->w2) : NULL, w3);
#line 1834 "FileChooserDialog.c"
	} else {
		const gchar* _tmp4_;
#line 242 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp4_ = gtk_buildable_get_name ((GtkBuildable*) w3);
#line 242 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		if (g_strcmp0 (_tmp4_, "list_and_preview_box") == 0) {
#line 1841 "FileChooserDialog.c"
			GtkTreeView* tv = NULL;
			GtkTreeView* _tmp5_;
			GtkTreeView* _tmp6_;
#line 243 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp5_ = custom_file_chooser_dialog_find_tree_view (self, w3);
#line 243 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			tv = _tmp5_;
#line 244 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp6_ = tv;
#line 244 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			if (_tmp6_ != NULL) {
#line 1853 "FileChooserDialog.c"
				GtkTreeView* _tmp7_;
				gboolean _tmp8_;
				gboolean _tmp9_;
#line 246 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
				_tmp7_ = tv;
#line 246 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
				_tmp8_ = self->priv->is_single_click;
#line 246 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
				gtk_tree_view_set_activate_on_single_click (_tmp7_, _tmp8_);
#line 247 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
				_tmp9_ = self->priv->is_single_click;
#line 247 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
				if (_tmp9_) {
#line 1867 "FileChooserDialog.c"
					GtkTreeView* _tmp10_;
					GtkTreeView* _tmp11_;
					GtkTreeView* _tmp12_;
#line 249 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
					_tmp10_ = tv;
#line 249 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
					gtk_widget_add_events ((GtkWidget*) _tmp10_, (gint) (GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK));
#line 250 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
					_tmp11_ = tv;
#line 250 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
					g_signal_connect_object ((GtkWidget*) _tmp11_, "button-press-event", (GCallback) _custom_file_chooser_dialog_on_tv_button_press_event_gtk_widget_button_press_event, self, 0);
#line 251 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
					_tmp12_ = tv;
#line 251 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
					g_signal_connect_object ((GtkWidget*) _tmp12_, "button-release-event", (GCallback) _custom_file_chooser_dialog_on_tv_button_release_event_gtk_widget_button_release_event, self, 0);
#line 1883 "FileChooserDialog.c"
				}
			}
#line 242 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_g_object_unref0 (tv);
#line 1888 "FileChooserDialog.c"
		}
	}
}


static void
___lambda11__gfunc (gconstpointer data,
                    gpointer self)
{
#line 224 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda11_ (self, (GtkWidget*) data);
#line 1900 "FileChooserDialog.c"
}


static void
custom_file_chooser_dialog_transform_w2_container (CustomFileChooserDialog* self,
                                                   GtkWidget* w2)
{
	Block5Data* _data5_;
	GtkWidget* _tmp0_;
	GList* _tmp1_;
	GList* _tmp2_;
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (self != NULL);
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w2 != NULL);
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data5_ = g_slice_new0 (Block5Data);
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data5_->_ref_count_ = 1;
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data5_->self = g_object_ref (self);
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = _g_object_ref0 (w2);
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (_data5_->w2);
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data5_->w2 = _tmp0_;
#line 224 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_TYPE (_data5_->w2, gtk_container_get_type ()) ? ((GtkContainer*) _data5_->w2) : NULL);
#line 224 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = _tmp1_;
#line 224 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_list_foreach (_tmp2_, ___lambda11__gfunc, _data5_);
#line 224 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	(_tmp2_ == NULL) ? NULL : (_tmp2_ = (g_list_free (_tmp2_), NULL));
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	block5_data_unref (_data5_);
#line 223 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data5_ = NULL;
#line 1940 "FileChooserDialog.c"
}


static Block6Data*
block6_data_ref (Block6Data* _data6_)
{
#line 258 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_atomic_int_inc (&_data6_->_ref_count_);
#line 258 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return _data6_;
#line 1951 "FileChooserDialog.c"
}


static void
block6_data_unref (void * _userdata_)
{
	Block6Data* _data6_;
	_data6_ = (Block6Data*) _userdata_;
#line 258 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_atomic_int_dec_and_test (&_data6_->_ref_count_)) {
#line 1962 "FileChooserDialog.c"
		CustomFileChooserDialog* self;
#line 258 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		self = _data6_->self;
#line 258 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data6_->tv);
#line 258 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (self);
#line 258 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_slice_free (Block6Data, _data6_);
#line 1972 "FileChooserDialog.c"
	}
}


static void
___lambda19_ (Block6Data* _data6_,
              GtkWidget* w)
{
	CustomFileChooserDialog* self;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
#line 267 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data6_->self;
#line 267 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w != NULL);
#line 268 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = gtk_buildable_get_name ((GtkBuildable*) w);
#line 268 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_TREEVIEW_PATH[2];
#line 268 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_strcmp0 (_tmp0_, _tmp1_) == 0) {
#line 1994 "FileChooserDialog.c"
		GtkTreeView* _tmp2_;
#line 269 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp2_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (w, gtk_tree_view_get_type (), GtkTreeView));
#line 269 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data6_->tv);
#line 269 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_data6_->tv = _tmp2_;
#line 2002 "FileChooserDialog.c"
	}
}


static void
____lambda19__gfunc (gconstpointer data,
                     gpointer self)
{
#line 267 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	___lambda19_ (self, (GtkWidget*) data);
#line 2013 "FileChooserDialog.c"
}


static void
___lambda18_ (Block6Data* _data6_,
              GtkWidget* w)
{
	CustomFileChooserDialog* self;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
#line 265 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data6_->self;
#line 265 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w != NULL);
#line 266 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = gtk_buildable_get_name ((GtkBuildable*) w);
#line 266 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_TREEVIEW_PATH[1];
#line 266 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_strcmp0 (_tmp0_, _tmp1_) == 0) {
#line 2034 "FileChooserDialog.c"
		GList* _tmp2_;
		GList* _tmp3_;
#line 267 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp2_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_CAST (w, gtk_container_get_type (), GtkContainer));
#line 267 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp3_ = _tmp2_;
#line 267 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_list_foreach (_tmp3_, ____lambda19__gfunc, _data6_);
#line 267 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		(_tmp3_ == NULL) ? NULL : (_tmp3_ = (g_list_free (_tmp3_), NULL));
#line 2045 "FileChooserDialog.c"
	}
}


static void
____lambda18__gfunc (gconstpointer data,
                     gpointer self)
{
#line 265 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	___lambda18_ (self, (GtkWidget*) data);
#line 2056 "FileChooserDialog.c"
}


static void
___lambda17_ (Block6Data* _data6_,
              GtkWidget* w)
{
	CustomFileChooserDialog* self;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
#line 263 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data6_->self;
#line 263 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w != NULL);
#line 264 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = gtk_widget_get_name (w);
#line 264 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = _tmp0_;
#line 264 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_strcmp0 (_tmp1_, "GtkBox") == 0) {
#line 2077 "FileChooserDialog.c"
		GList* _tmp2_;
		GList* _tmp3_;
#line 265 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp2_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_CAST (w, gtk_container_get_type (), GtkContainer));
#line 265 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp3_ = _tmp2_;
#line 265 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_list_foreach (_tmp3_, ____lambda18__gfunc, _data6_);
#line 265 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		(_tmp3_ == NULL) ? NULL : (_tmp3_ = (g_list_free (_tmp3_), NULL));
#line 2088 "FileChooserDialog.c"
	}
}


static void
____lambda17__gfunc (gconstpointer data,
                     gpointer self)
{
#line 263 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	___lambda17_ (self, (GtkWidget*) data);
#line 2099 "FileChooserDialog.c"
}


static void
__lambda16_ (Block6Data* _data6_,
             GtkWidget* w)
{
	CustomFileChooserDialog* self;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
#line 261 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data6_->self;
#line 261 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (w != NULL);
#line 262 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = gtk_buildable_get_name ((GtkBuildable*) w);
#line 262 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = CUSTOM_FILE_CHOOSER_DIALOG_GTK_TREEVIEW_PATH[0];
#line 262 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_strcmp0 (_tmp0_, _tmp1_) == 0) {
#line 2120 "FileChooserDialog.c"
		GList* _tmp2_;
		GList* _tmp3_;
#line 263 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp2_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_CAST (w, gtk_container_get_type (), GtkContainer));
#line 263 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp3_ = _tmp2_;
#line 263 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_list_foreach (_tmp3_, ____lambda17__gfunc, _data6_);
#line 263 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		(_tmp3_ == NULL) ? NULL : (_tmp3_ = (g_list_free (_tmp3_), NULL));
#line 2131 "FileChooserDialog.c"
	}
}


static void
___lambda16__gfunc (gconstpointer data,
                    gpointer self)
{
#line 261 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda16_ (self, (GtkWidget*) data);
#line 2142 "FileChooserDialog.c"
}


static GtkTreeView*
custom_file_chooser_dialog_find_tree_view (CustomFileChooserDialog* self,
                                           GtkWidget* browser_box)
{
	GtkTreeView* result = NULL;
	Block6Data* _data6_;
	GList* _tmp0_;
	GList* _tmp1_;
	GtkTreeView* _tmp2_;
#line 258 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 258 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_val_if_fail (browser_box != NULL, NULL);
#line 258 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data6_ = g_slice_new0 (Block6Data);
#line 258 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data6_->_ref_count_ = 1;
#line 258 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data6_->self = g_object_ref (self);
#line 260 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data6_->tv = NULL;
#line 261 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = gtk_container_get_children (G_TYPE_CHECK_INSTANCE_CAST (browser_box, gtk_container_get_type (), GtkContainer));
#line 261 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = _tmp0_;
#line 261 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_list_foreach (_tmp1_, ___lambda16__gfunc, _data6_);
#line 261 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	(_tmp1_ == NULL) ? NULL : (_tmp1_ = (g_list_free (_tmp1_), NULL));
#line 279 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = _g_object_ref0 (_data6_->tv);
#line 279 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	result = _tmp2_;
#line 279 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	block6_data_unref (_data6_);
#line 279 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data6_ = NULL;
#line 279 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return result;
#line 2185 "FileChooserDialog.c"
}


static void
__lambda4_ (CustomFileChooserDialog* self,
            GtkWidget* child)
{
#line 285 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (child != NULL);
#line 286 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_valign (child, GTK_ALIGN_CENTER);
#line 2197 "FileChooserDialog.c"
}


static void
___lambda4__gfunc (gconstpointer data,
                   gpointer self)
{
#line 285 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda4_ ((CustomFileChooserDialog*) self, (GtkWidget*) data);
#line 2207 "FileChooserDialog.c"
}


static void
custom_file_chooser_dialog_assign_container_box (CustomFileChooserDialog* self)
{
	GtkFileChooserDialog* _tmp0_;
	GtkWidget* _tmp1_;
	GtkBox* _tmp2_;
	GtkBox* _tmp3_;
	GtkBox* _tmp4_;
	GList* _tmp5_;
	GList* _tmp6_;
#line 282 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (self != NULL);
#line 283 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = custom_file_chooser_dialog_chooser_dialog;
#line 283 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_dialog_get_action_area ((GtkDialog*) _tmp0_);
#line 283 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp1_, gtk_box_get_type ()) ? ((GtkBox*) _tmp1_) : NULL);
#line 283 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (custom_file_chooser_dialog_container_box);
#line 283 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	custom_file_chooser_dialog_container_box = _tmp2_;
#line 284 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = custom_file_chooser_dialog_container_box;
#line 284 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp3_, GTK_ALIGN_CENTER);
#line 285 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp4_ = custom_file_chooser_dialog_container_box;
#line 285 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp5_ = gtk_container_get_children ((GtkContainer*) _tmp4_);
#line 285 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp6_ = _tmp5_;
#line 285 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_list_foreach (_tmp6_, ___lambda4__gfunc, self);
#line 285 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	(_tmp6_ == NULL) ? NULL : (_tmp6_ = (g_list_free (_tmp6_), NULL));
#line 2247 "FileChooserDialog.c"
}


static Block7Data*
block7_data_ref (Block7Data* _data7_)
{
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_atomic_int_inc (&_data7_->_ref_count_);
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return _data7_;
#line 2258 "FileChooserDialog.c"
}


static void
block7_data_unref (void * _userdata_)
{
	Block7Data* _data7_;
	_data7_ = (Block7Data*) _userdata_;
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_atomic_int_dec_and_test (&_data7_->_ref_count_)) {
#line 2269 "FileChooserDialog.c"
		CustomFileChooserDialog* self;
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		self = _data7_->self;
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_free0 (_data7_->current_filter_name);
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (self);
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_slice_free (Block7Data, _data7_);
#line 2279 "FileChooserDialog.c"
	}
}


static Block8Data*
block8_data_ref (Block8Data* _data8_)
{
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_atomic_int_inc (&_data8_->_ref_count_);
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return _data8_;
#line 2291 "FileChooserDialog.c"
}


static void
block8_data_unref (void * _userdata_)
{
	Block8Data* _data8_;
	_data8_ = (Block8Data*) _userdata_;
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_atomic_int_dec_and_test (&_data8_->_ref_count_)) {
#line 2302 "FileChooserDialog.c"
		CustomFileChooserDialog* self;
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		self = _data8_->_data7_->self;
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (_data8_->combo_box);
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		block7_data_unref (_data8_->_data7_);
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_data8_->_data7_ = NULL;
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_slice_free (Block8Data, _data8_);
#line 2314 "FileChooserDialog.c"
	}
}


static void
__lambda22_ (Block8Data* _data8_,
             GtkFileFilter* filter)
{
	Block7Data* _data7_;
	CustomFileChooserDialog* self;
	const gchar* _tmp0_;
	GtkComboBoxText* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gboolean _tmp4_;
#line 298 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data7_ = _data8_->_data7_;
#line 298 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data7_->self;
#line 298 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (filter != NULL);
#line 299 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = gtk_file_filter_get_name (filter);
#line 299 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = _data8_->combo_box;
#line 299 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = gtk_combo_box_text_get_active_text (_tmp1_);
#line 299 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = _tmp2_;
#line 299 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp4_ = g_strcmp0 (_tmp0_, _tmp3_) == 0;
#line 299 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_free0 (_tmp3_);
#line 299 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (_tmp4_) {
#line 2350 "FileChooserDialog.c"
		GtkFileChooserDialog* _tmp5_;
#line 300 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp5_ = custom_file_chooser_dialog_chooser_dialog;
#line 300 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_file_chooser_set_filter ((GtkFileChooser*) _tmp5_, filter);
#line 2356 "FileChooserDialog.c"
	}
}


static void
___lambda22__gfunc (gconstpointer data,
                    gpointer self)
{
#line 298 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__lambda22_ (self, (GtkFileFilter*) data);
#line 2367 "FileChooserDialog.c"
}


static void
___lambda21_ (Block8Data* _data8_)
{
	Block7Data* _data7_;
	CustomFileChooserDialog* self;
	GtkFileChooserDialog* _tmp0_;
	GSList* _tmp1_;
	GSList* _tmp2_;
#line 297 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data7_ = _data8_->_data7_;
#line 297 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data7_->self;
#line 298 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = custom_file_chooser_dialog_chooser_dialog;
#line 298 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_file_chooser_list_filters ((GtkFileChooser*) _tmp0_);
#line 298 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = _tmp1_;
#line 298 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_slist_foreach (_tmp2_, ___lambda22__gfunc, _data8_);
#line 298 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	(_tmp2_ == NULL) ? NULL : (_tmp2_ = (g_slist_free (_tmp2_), NULL));
#line 2393 "FileChooserDialog.c"
}


static void
____lambda21__gtk_combo_box_changed (GtkComboBox* _sender,
                                     gpointer self)
{
#line 297 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	___lambda21_ (self);
#line 2403 "FileChooserDialog.c"
}


static void
___lambda23_ (Block8Data* _data8_,
              GtkFileFilter* filter)
{
	Block7Data* _data7_;
	CustomFileChooserDialog* self;
	gchar* name = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	GtkComboBoxText* _tmp2_;
	const gchar* _tmp3_;
	const gchar* _tmp4_;
	const gchar* _tmp5_;
	gint _tmp8_;
#line 305 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data7_ = _data8_->_data7_;
#line 305 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = _data7_->self;
#line 305 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (filter != NULL);
#line 306 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = gtk_file_filter_get_name (filter);
#line 306 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 306 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	name = _tmp1_;
#line 307 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = _data8_->combo_box;
#line 307 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = name;
#line 307 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_combo_box_text_append_text (_tmp2_, _tmp3_);
#line 308 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp4_ = name;
#line 308 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp5_ = _data7_->current_filter_name;
#line 308 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_strcmp0 (_tmp4_, _tmp5_) == 0) {
#line 2445 "FileChooserDialog.c"
		GtkComboBoxText* _tmp6_;
		gint _tmp7_;
#line 309 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp6_ = _data8_->combo_box;
#line 309 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp7_ = _data8_->index;
#line 309 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_combo_box_set_active ((GtkComboBox*) _tmp6_, _tmp7_);
#line 2454 "FileChooserDialog.c"
	}
#line 312 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp8_ = _data8_->index;
#line 312 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data8_->index = _tmp8_ + 1;
#line 305 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_free0 (name);
#line 2462 "FileChooserDialog.c"
}


static void
____lambda23__gfunc (gconstpointer data,
                     gpointer self)
{
#line 305 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	___lambda23_ (self, (GtkFileFilter*) data);
#line 2472 "FileChooserDialog.c"
}


static void
custom_file_chooser_dialog_setup_filter_box (CustomFileChooserDialog* self)
{
	Block7Data* _data7_;
	GSList* filters = NULL;
	GtkFileChooserDialog* _tmp0_;
	GSList* _tmp1_;
	GtkFileChooserDialog* _tmp2_;
	GtkFileFilter* _tmp3_;
	const gchar* _tmp4_;
	gchar* _tmp5_;
	GSList* _tmp6_;
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_if_fail (self != NULL);
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data7_ = g_slice_new0 (Block7Data);
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data7_->_ref_count_ = 1;
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data7_->self = g_object_ref (self);
#line 291 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = custom_file_chooser_dialog_chooser_dialog;
#line 291 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = gtk_file_chooser_list_filters ((GtkFileChooser*) _tmp0_);
#line 291 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	filters = _tmp1_;
#line 292 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = custom_file_chooser_dialog_chooser_dialog;
#line 292 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = gtk_file_chooser_get_filter ((GtkFileChooser*) _tmp2_);
#line 292 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp4_ = gtk_file_filter_get_name (_tmp3_);
#line 292 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp5_ = g_strdup (_tmp4_);
#line 292 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data7_->current_filter_name = _tmp5_;
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp6_ = filters;
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (g_slist_length (_tmp6_) > ((guint) 0)) {
#line 2516 "FileChooserDialog.c"
		Block8Data* _data8_;
		GtkComboBoxText* _tmp7_;
		GtkComboBoxText* _tmp8_;
		GSList* _tmp9_;
		GtkGrid* grid = NULL;
		GtkGrid* _tmp10_;
		GtkGrid* _tmp11_;
		GtkGrid* _tmp12_;
		GtkComboBoxText* _tmp13_;
		GtkBox* _tmp14_;
		GtkGrid* _tmp15_;
		GtkBox* _tmp16_;
		GtkGrid* _tmp17_;
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_data8_ = g_slice_new0 (Block8Data);
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_data8_->_ref_count_ = 1;
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_data8_->_data7_ = block7_data_ref (_data7_);
#line 295 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		self->priv->filters_available = TRUE;
#line 296 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp7_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 296 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_object_ref_sink (_tmp7_);
#line 296 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_data8_->combo_box = _tmp7_;
#line 297 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp8_ = _data8_->combo_box;
#line 297 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_signal_connect_data ((GtkComboBox*) _tmp8_, "changed", (GCallback) ____lambda21__gtk_combo_box_changed, block8_data_ref (_data8_), (GClosureNotify) block8_data_unref, 0);
#line 304 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_data8_->index = 0;
#line 305 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp9_ = filters;
#line 305 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_slist_foreach (_tmp9_, ____lambda23__gfunc, _data8_);
#line 315 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp10_ = (GtkGrid*) gtk_grid_new ();
#line 315 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		g_object_ref_sink (_tmp10_);
#line 315 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		grid = _tmp10_;
#line 316 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp11_ = grid;
#line 316 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_widget_set_valign ((GtkWidget*) _tmp11_, GTK_ALIGN_CENTER);
#line 317 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp12_ = grid;
#line 317 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp13_ = _data8_->combo_box;
#line 317 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_container_add ((GtkContainer*) _tmp12_, (GtkWidget*) _tmp13_);
#line 318 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp14_ = custom_file_chooser_dialog_container_box;
#line 318 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp15_ = grid;
#line 318 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_box_pack_end (_tmp14_, (GtkWidget*) _tmp15_, TRUE, TRUE, (guint) 0);
#line 319 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp16_ = custom_file_chooser_dialog_container_box;
#line 319 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp17_ = grid;
#line 319 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		gtk_button_box_set_child_secondary (G_TYPE_CHECK_INSTANCE_CAST (_tmp16_, gtk_button_box_get_type (), GtkButtonBox), (GtkWidget*) _tmp17_, TRUE);
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (grid);
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		block8_data_unref (_data8_);
#line 294 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_data8_ = NULL;
#line 2588 "FileChooserDialog.c"
	}
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	(filters == NULL) ? NULL : (filters = (g_slist_free (filters), NULL));
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	block7_data_unref (_data7_);
#line 290 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_data7_ = NULL;
#line 2596 "FileChooserDialog.c"
}


static void
_vala_GtkTreePath_free (GtkTreePath* self)
{
#line 338 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_boxed_free (gtk_tree_path_get_type (), self);
#line 2605 "FileChooserDialog.c"
}


static GtkTreeIter*
_gtk_tree_iter_dup (GtkTreeIter* self)
{
	GtkTreeIter* dup;
#line 343 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	dup = g_new0 (GtkTreeIter, 1);
#line 343 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	memcpy (dup, self, sizeof (GtkTreeIter));
#line 343 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return dup;
#line 2619 "FileChooserDialog.c"
}


static gpointer
__gtk_tree_iter_dup0 (gpointer self)
{
#line 343 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return self ? _gtk_tree_iter_dup (self) : NULL;
#line 2628 "FileChooserDialog.c"
}


static gboolean
custom_file_chooser_dialog_on_tv_button_press_event (CustomFileChooserDialog* self,
                                                     GtkWidget* w,
                                                     GdkEventButton* event)
{
	gboolean result = FALSE;
	GdkEventType _tmp0_;
	GtkTreeView* tv = NULL;
	GtkTreeView* _tmp1_;
	GtkTreePath* path = NULL;
	gint cell_x = 0;
	gint cell_y = 0;
	GtkTreeView* _tmp2_;
	gdouble _tmp3_;
	gdouble _tmp4_;
	GtkTreePath* _tmp5_ = NULL;
	gint _tmp6_ = 0;
	gint _tmp7_ = 0;
	GtkTreePath* _tmp8_;
#line 323 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 323 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_val_if_fail (w != NULL, FALSE);
#line 323 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_val_if_fail (event != NULL, FALSE);
#line 324 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->can_activate = FALSE;
#line 325 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = event->type;
#line 325 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (_tmp0_ == GDK_2BUTTON_PRESS) {
#line 326 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		self->priv->can_activate = TRUE;
#line 327 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		result = FALSE;
#line 327 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		return result;
#line 2669 "FileChooserDialog.c"
	}
#line 330 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (w == NULL) {
#line 331 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		result = FALSE;
#line 331 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		return result;
#line 2677 "FileChooserDialog.c"
	}
#line 334 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp1_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (w, gtk_tree_view_get_type (), GtkTreeView));
#line 334 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	tv = _tmp1_;
#line 335 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	path = NULL;
#line 338 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp2_ = tv;
#line 338 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp3_ = event->x;
#line 338 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp4_ = event->y;
#line 338 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	gtk_tree_view_get_path_at_pos (_tmp2_, (gint) _tmp3_, (gint) _tmp4_, &_tmp5_, NULL, &_tmp6_, &_tmp7_);
#line 338 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__vala_GtkTreePath_free0 (path);
#line 338 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	path = _tmp5_;
#line 338 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	cell_x = _tmp6_;
#line 338 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	cell_y = _tmp7_;
#line 340 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp8_ = path;
#line 340 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	if (_tmp8_ != NULL) {
#line 2705 "FileChooserDialog.c"
		GtkTreeModel* model = NULL;
		GtkTreeView* _tmp9_;
		GtkTreeModel* _tmp10_;
		GtkTreeModel* _tmp11_;
		GtkTreeIter* iter = NULL;
		GtkTreeModel* _tmp12_;
		GtkTreePath* _tmp13_;
		GtkTreeIter _tmp14_ = {0};
		gboolean _tmp15_;
		GtkTreeIter _tmp16_;
		GtkTreeIter* _tmp17_;
#line 341 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp9_ = tv;
#line 341 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp10_ = gtk_tree_view_get_model (_tmp9_);
#line 341 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp11_ = _g_object_ref0 (_tmp10_);
#line 341 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		model = _tmp11_;
#line 342 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		iter = NULL;
#line 343 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp12_ = model;
#line 343 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp13_ = path;
#line 343 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp15_ = gtk_tree_model_get_iter (_tmp12_, &_tmp14_, _tmp13_);
#line 343 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_free0 (iter);
#line 343 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp16_ = _tmp14_;
#line 343 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_tmp17_ = __gtk_tree_iter_dup0 (&_tmp16_);
#line 343 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		iter = _tmp17_;
#line 343 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		if (_tmp15_) {
#line 2743 "FileChooserDialog.c"
			gboolean is_folder = FALSE;
			GtkTreeModel* _tmp18_;
			GtkTreeIter* _tmp19_;
			GtkTreeIter _tmp20_;
			gboolean _tmp21_;
#line 345 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp18_ = model;
#line 345 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp19_ = iter;
#line 345 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp20_ = *_tmp19_;
#line 345 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			gtk_tree_model_get (_tmp18_, &_tmp20_, 5, &is_folder, -1);
#line 346 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			_tmp21_ = is_folder;
#line 346 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
			if (_tmp21_) {
#line 347 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
				self->priv->can_activate = TRUE;
#line 2763 "FileChooserDialog.c"
			}
		}
#line 340 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_free0 (iter);
#line 340 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
		_g_object_unref0 (model);
#line 2770 "FileChooserDialog.c"
	}
#line 352 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	result = FALSE;
#line 352 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	__vala_GtkTreePath_free0 (path);
#line 352 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_object_unref0 (tv);
#line 352 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return result;
#line 2780 "FileChooserDialog.c"
}


static gboolean
custom_file_chooser_dialog_on_tv_button_release_event (CustomFileChooserDialog* self,
                                                       GdkEventButton* event)
{
	gboolean result = FALSE;
	gboolean _tmp0_;
#line 355 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 355 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_return_val_if_fail (event != NULL, FALSE);
#line 356 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_tmp0_ = self->priv->can_activate;
#line 356 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	result = !_tmp0_;
#line 356 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	return result;
#line 2800 "FileChooserDialog.c"
}


static void
custom_file_chooser_dialog_class_init (CustomFileChooserDialogClass * klass)
{
#line 25 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	custom_file_chooser_dialog_parent_class = g_type_class_peek_parent (klass);
#line 25 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	g_type_class_add_private (klass, sizeof (CustomFileChooserDialogPrivate));
#line 25 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = custom_file_chooser_dialog_finalize;
#line 2813 "FileChooserDialog.c"
}


static void
custom_file_chooser_dialog_instance_init (CustomFileChooserDialog * self)
{
#line 25 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv = CUSTOM_FILE_CHOOSER_DIALOG_GET_PRIVATE (self);
#line 44 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->filters_available = FALSE;
#line 46 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->current_path = NULL;
#line 47 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->is_previous = FALSE;
#line 48 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->is_button_next = FALSE;
#line 49 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->is_single_click = TRUE;
#line 50 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self->priv->can_activate = TRUE;
#line 2834 "FileChooserDialog.c"
}


static void
custom_file_chooser_dialog_finalize (GObject * obj)
{
	CustomFileChooserDialog * self;
#line 25 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_CUSTOM_FILE_CHOOSER_DIALOG, CustomFileChooserDialog);
#line 41 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	(self->priv->previous_paths == NULL) ? NULL : (self->priv->previous_paths = (_g_queue_free__g_free0_ (self->priv->previous_paths), NULL));
#line 42 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	(self->priv->next_paths == NULL) ? NULL : (self->priv->next_paths = (_g_queue_free__g_free0_ (self->priv->next_paths), NULL));
#line 46 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	_g_free0 (self->priv->current_path);
#line 25 "/builddir/build/BUILD/pantheon-files-0.3.5/filechooser-module/FileChooserDialog.vala"
	G_OBJECT_CLASS (custom_file_chooser_dialog_parent_class)->finalize (obj);
#line 2852 "FileChooserDialog.c"
}


/*** The Gtk.FileChooserWidget widget names and paths can be found in "gtkfilechooserwidget.ui"
 *   in the Gtk+3 source code package.  Changes to that file could break this code.
***/
GType
custom_file_chooser_dialog_get_type (void)
{
	static volatile gsize custom_file_chooser_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&custom_file_chooser_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (CustomFileChooserDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) custom_file_chooser_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (CustomFileChooserDialog), 0, (GInstanceInitFunc) custom_file_chooser_dialog_instance_init, NULL };
		GType custom_file_chooser_dialog_type_id;
		custom_file_chooser_dialog_type_id = g_type_register_static (G_TYPE_OBJECT, "CustomFileChooserDialog", &g_define_type_info, 0);
		g_once_init_leave (&custom_file_chooser_dialog_type_id__volatile, custom_file_chooser_dialog_type_id);
	}
	return custom_file_chooser_dialog_type_id__volatile;
}



